
Foreman - Refactor #3752

Move all data addition in DB migrations into a seed script

11/25/2013 04:59 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: DB migrations   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Our DB migrations perform a number of database setup tasks, from loading default templates through to creating the default user.

These can be difficult to maintain as the codebase evolves, plus makes it harder for us to update the default data provided in

Foreman so moving to a separate seed script should make life easier.

Related issues:

Blocks Foreman - Feature #3272: Separate internal admin account from user adm... Closed 10/16/2013

Associated revisions

Revision 2b9a60bc - 11/28/2013 07:04 AM - Dominic Cleal

refs #3752 - run db:seed after db:migrate

Revision 0fa5d146 - 12/25/2013 09:22 AM - Dominic Cleal

fixes #3752 - move data population from migrations into seed script

Revision 9344250e - 12/25/2013 11:56 PM - Dominic Cleal

refs #3752 - run db:seed after DB migration

Revision a0988118 - 01/11/2014 10:16 AM - Dominic Cleal 

refs #3752 - add db:seed instructions

History

#1 - 11/25/2013 05:58 PM - Dominic Cleal

- Blocks Feature #3272: Separate internal admin account from user admin accounts added

#2 - 11/26/2013 06:51 PM - Lukas Zapletal

Requirement from Katello experiences: Make sure the seed script is idempotent.

#3 - 11/27/2013 10:48 AM - Dominic Cleal

https://github.com/theforeman/puppet-foreman/pull/127

#4 - 11/27/2013 10:48 AM - Dominic Cleal

- Target version set to 1.10.0

- translation missing: en.field_release set to 2

#5 - 11/28/2013 11:12 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1065
#6 - 12/04/2013 01:11 PM - Dominic Cleal

- Target version changed from 1.10.0 to 1.9.3

#7 - 12/25/2013 10:31 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0fa5d146b72778c33f760c8b67c5cb9008c52231.
